Bug 1737855 - squeal depends on Python 2
Summary: squeal depends on Python 2
Keywords:
Status: CLOSED DUPLICATE of bug 1777644
Alias: None
Product: Fedora
Classification: Fedora
Component: squeal
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 10:02 UTC by Lumír Balhar
Modified: 2019-11-28 01:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-28 01:22:42 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 10:02:57 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for squeal's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to squeal.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:56:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:53:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-15 07:44:06 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Dave Malcolm 2019-08-15 14:23:30 UTC
I've started porting it to Python 3 upstream at:
  https://github.com/davidmalcolm/squeal/commit/b30adac64503953236f4502bba086863d7d8a6a2

Comment 5 Petr Viktorin 2019-08-15 14:34:26 UTC
That's great news!
We're planning to remove Python 2 packages in mid-November. If you need more time, please let us know.

Comment 6 Miro Hrončok 2019-11-28 01:22:42 UTC

*** This bug has been marked as a duplicate of bug 1777644 ***


Note You need to log in before you can comment on or make changes to this bug.